<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:p="http://primefaces.org/ui">
<h:head>
	<title>Facelet Title</title>

	<style>
* {
	-webkit-font-smoothing: antialiased;
	text-rendering: optimizeLegibility;
}

html, body {
	height: 100%;
}

body {
	display: flex;
	align-items: center;
	justify-content: center;
	flex-direction: column;
	position: relative;
	background: linear-gradient(135deg, rgba(36, 46, 77, 0.9),
		rgba(137, 126, 121, 0.9));
	font-family: 'Roboto', helvetica, arial, sans-serif;
	font-size: 1.5em;
}

body:before {
	content: '';
	position: absolute;
	top: 0;
	left: 0;
	height: 100%;
	width: 100%; /*margen a todos los lados*/
	opacity: .3;
}

.login-form {
	width: 100%;
	padding: 2em;
	position: relative; /*para que se adapte*/
	background: rgba(0, 0, 0, 0.10);
}

.login-form:before {
	content: '';
	position: absolute;
	top: -2px;
	left: 0;
	height: 2px;
	width: 100%; /*que tan largo se requiera*/
	background: linear-gradient(to right, #386be0, #00d6b7);
	/*la linea superior degradada*/
}

@media screen and (min-width: 600px) {
	.login-form {
		width: 50vw;
		max-width: 15em;
	}
}

.flex-row {
	display: flex; /*ordena en columna*/
	margin-bottom: 1em; /*marge hacia abajo*/
}

.lf--label {
	width: 2em;
	display: flex;
	align-items: center;
	justify-content: center;
	background: #a1abb5;
	cursor: pointer;
}

.lf--input {
	flex: 1;
	padding: 1em;
	border: 0;
	color: red;
	font-size: 1rem;
}

.lf--input:focus {
	outline: none;
	transition: -webkit-transform .15s ease;
	transition: transform .15s ease;
	transition: transform .15s ease, -webkit-transform .15s ease;
	-webkit-transform: scale(1.1);
	transform: scale(1.1);
}

.lf--submit { /*esto es parte del estilo del boton*/
	display: block;
	padding: 1em;
	width: 100%;
	background: linear-gradient(to right, #35c3c1, #00d6b7);
	border: 0;
	color: #fff;
	cursor: pointer;
	font-size: .60em;
	font-weight: 600;
	text-shadow: 0 1px 0 rgba(0, 0, 0, 0.2);
}

.lf--submit:focus {
	/*este es para el movimiento del boton al dar click*/
	outline: none;
	transition: -webkit-transform .15s ease;
	transition: transform .15s ease;
	transition: transform .15s ease, -webkit-transform .15s ease;
	-webkit-transform: scale(1.1);
	transform: scale(1.1);
}

.lf--forgot {
	margin-top: 1em; /*margen de arribita*/
	color: #00d6b7;
	font-size: .65em; /*tamaño de la letra*/
	text-align: center; /*posicionar letra*/
	position: relative; /*adaptarse a la posicion implementada*/
}
</style>

</h:head>
<h:body>
	<h1></h1>
	<p:growl id="msj"/>
	<h:form class="login-form" id="formLogin">
	<p:growl id="msg" showDetail="true" life="4000" />
		<div class="flex-row">

			<label class="lf--label" for="username"> <i
				class="fa fa-user"></i>
			</label>
			<p:inputText styleClass="lf--input"
				value="#{controlBean.usuario.user}" required="true" type="text"
				placeholder="User" />
		</div>


		<div class="flex-row">
			<label class="lf--label" for="password"> <i class="fa fa-key"></i>
			</label>
			<p:password styleClass="lf--input"
				value="#{controlBean.usuario.password}" feedback="false"
				required="true" placeholder="Password" />
		</div>
		<p:commandButton action="#{controlBean.login()}"
			update="formLogin:msg" value="Iniciar Sesión"
			styleClass="lf--submit" />		

	</h:form>


</h:body>
</html>